Subject: Re:CCL:Significant figures...

From: "Tamas Gunda" <[email-masked]>
Date: Fri, 21 May 1999 14:57:20 +1

Laurence Lavelle wrote:

> I was hoping that the various software companies that I contacted would
> make an announcement to CCL. Since this has not occurred you should be
> aware of the following.
> 
> Many software packages round off significant figures.
> 
> For example, an original file with Cartesian coordinates to 6 sig fig.
> 
> When saved as .pdb in HyperChem Professional 5 has 3 sig fig. 
> When saved as Z-matrix, 4 sig fig. 
> 
> In Chem 3D ULTRA  5, bond lengths changed by 0.001 A. 
> Again sig fig are different for different formats.
> 
> Babel 1.3 converted a 6 sig fig file to 3 sig fig when going from .hin to .pdb
> 
> Hopefully Gaussian will post significant figures for all file formats in
> NewZMat. 
> 
> These round off errors will affect single point calculations. 
> 
> Laurence
> 
> 
>
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
> Admins [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]

Hi,

1) From programmers point of view:

Its true, that different programs output coordinates rounded off differently and
significant figures vary. When I programmed my program Mol2mol, which interfaces
between different softwares by transforming the file formats, the number of
decimals was choosen according to the output files of original programs. If the
new file format contains less decimals than the original, the numbers are
rounded. If more, the numbers are right-padded with zeroes.

2) From chemist's point of view:

The results of a calculation, let they be coordinates or bond lengths,
depends on the input/starting data. For example, when making an MM
force field calculation, the force constants have usually 1-2 significant 
decimals. Therefore the 3rd and next digits of the result have no physical
importance, I think. Even if a software outputs coordinates or bond length with
6 decimals, the user should use only max 3.

It is similar to laboratory practice: if you make a reaction from
1.22 g of starting material, it is nonsense to write into the note book
that 0.9876 g was the product and the yield was 88.122418 % (althogh your 
calculator may show this result).

Tamas Gunda

************************************************************************
   Dr Tamas E. Gunda                   phone: (+36-52) 316666-2479
   Research Group of Antibiotics       fax  : (+36-52) 310936
   L. Kossuth University               e-mail: [email-masked]
   POBox 36                     http://dragon.klte.hu/~gundat               
   H-4010 Debrecen
   Hungary
************************************************************************